# Interface LayerExtensionSchemaPropertyBindingOptions

Represents advance options for a binding between a schema setting and a Layer property.

interface LayerExtensionSchemaPropertyBindingOptions {
property?: string;
readonly?: boolean;
sync?: boolean;
value?: unknown;
}

#####
Index

### Properties

property?
readonly?
sync?
value?

##
Properties

### `Optional` property

property?: string

Property or property path to bind to.

### `Optional` readonly

readonly?: boolean

Whether the binding is readonly.

### `Optional` sync

sync?: boolean

True by default.

### `Optional` value

value?: unknown

Value that will always be returned for this binding.